function C = labelsback(Q,C,FORMAT)
% labelsback  [Not a public function] Replace #(...) with the corresponding string.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

try
    C; %#ok<VUNUS>
catch %#ok<CTCH>
    C = Q.code;
end

try
    FORMAT; %#ok<VUNUS>
catch %#ok<CTCH>
    FORMAT = '''%s''';
end

%**************************************************************************

if ischar(C) || iscellstr(C)
    C = strfun.labelsback(C,Q.labels,FORMAT);
end

end